body {
    background-image: url('../resources/blorpglorp.gif');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    margin: 0;
    margin-top: 100px;
    text-align: center;
    font-size: 25px;
    font-family: monospace;
}

.clock {
    display: flex;    
    justify-content: center; 
    align-items: center;    
    height: 500px;
    padding-top:115px;
    width: auto;   
    position: relative;  
}

.clock img:not(.big-clock-hand):not(.medium-clock-hand):not(.small-clock-hand) {
    width: 60%; 
    height: auto; 
    position:absolute;
}

.big-clock-hand {
    position:absolute;
    height: 150px;
    width: auto;
    z-index: 10;
    transform-origin: 50% 420%;
    animation: spin-big 60s steps(60) infinite;
    top: -3%;
    left: 50.5%;
}

.medium-clock-hand {
    position:absolute;
    height: 150px;
    width: auto;
    z-index: 9;
    transform-origin: 50% 420%;
    animation: spin-med 6s steps(60) infinite;
    top: -3%;
    left: 50.5%;
}

.small-clock-hand {
    position:absolute;
    height: 150px;
    width: auto;
    z-index: 8;
    transform-origin: 50% 420%;
    animation: spin-small .1s steps(60) infinite;
    top: -3%;
    left: 50.5%;
}

@keyframes spin-big {
  from { transform: translate(-50%, -100%) scale(0.5) rotate(0deg); }
  to { transform: translate(-50%, -100%) scale(0.5) rotate(360deg); }
}

@keyframes spin-med {
  from { transform: translate(-50%, -100%) scale(0.35) rotate(0deg); }
  to { transform: translate(-50%, -100%) scale(0.35) rotate(360deg); }
}

@keyframes spin-small {
  from { transform: translate(-50%, -100%) scale(0.25) rotate(0deg); }
  to { transform: translate(-50%, -100%) scale(0.25) rotate(360deg); }
}